﻿Public Class Form1
    Declare Function HumidiProbeOpenUnit Lib "HumidiProbe.dll" () As Integer
    Declare Sub HumidiProbeCloseUnit Lib "HumidiProbe.dll" (ByVal handle As Short)

    Declare Function HumidiProbeGetSingleValue Lib "HumidiProbe.dll" (ByVal handle As Short, ByRef temp As Single, ByVal tempFilter As Short, ByRef humidity As Single, ByVal humidityFilter As Short) As Integer

    Dim probeHandle As Integer
    Dim temp As Single
    Dim humidity As Single


    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Call HumidiProbeCloseUnit(probeHandle)
        TextBox3.Text = "HumidiProbe closed"
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        TextBox3.Text = "Opening HumidiProbe" & "..."
        TextBox3.Refresh()
        probeHandle = HumidiProbeOpenUnit()
        If probeHandle > 0 Then
            TextBox3.Text = "HumidiProbe opened"
        Else
            TextBox3.Text = "Unable to open HumidiProbe"
        End If



    End Sub



    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        Dim status As Integer
        Dim tempFilter As Integer
        Dim humidityFilter As Integer

        tempFilter = 0
        humidityFilter = 0

        If probeHandle > 0 Then
            status = HumidiProbeGetSingleValue(probeHandle, temp, tempFilter, humidity, humidityFilter)
            If status > 0 Then
                TextBox1.Text = temp
                TextBox2.Text = humidity
            Else
                TextBox1.Text = "****"
                TextBox2.Text = "****"
            End If
        End If
    End Sub
End Class
